High Sierra & LC

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

High Sierra & LC

Mark Wieder via use-livecode
I just downloaded the latest Mac OS beta - High Sierra and attempted to
run 2 different apps that were built with LC 6.6.5. When I tried to
print from each, they both crashed before the system print dialog
appeared. They both function fine running on Sierra. Has anyone done any
testing with their apps? I understand that High Sierra is beta, but I do
want to be ready when it ships this Fall. Do later versions of LC on
High Sierra work OK for anyone?

Marty

_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: High Sierra & LC

Mark Wieder via use-livecode
I can not start any version of LC in beta 3 of High Sierra. In beta 1 and 2 LC hung when I tried to access the color palette.

Regards
Tore Nilsen

> 14. jul. 2017 kl. 20:46 skrev Marty Knapp via use-livecode <[hidden email]>:
>
> I just downloaded the latest Mac OS beta - High Sierra and attempted to run 2 different apps that were built with LC 6.6.5. When I tried to print from each, they both crashed before the system print dialog appeared. They both function fine running on Sierra. Has anyone done any testing with their apps? I understand that High Sierra is beta, but I do want to be ready when it ships this Fall. Do later versions of LC on High Sierra work OK for anyone?
>
> Marty
>
> _______________________________________________
> use-livecode mailing list
> [hidden email]
> Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode


_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: High Sierra & LC

Mark Wieder via use-livecode
In reply to this post by Mark Wieder via use-livecode
7.1.4 is intermittent, sometimes it opens fine. 8.1.4 and 8.1.5 have issues if they are set to open in 32 bit. 9.0.0 seems fine. Downloading 8.1.6 now to see how that does.



> On Jul 14, 2017, at 11:46 AM, Marty Knapp via use-livecode <[hidden email]> wrote:
>
> I just downloaded the latest Mac OS beta - High Sierra and attempted to run 2 different apps that were built with LC 6.6.5. When I tried to print from each, they both crashed before the system print dialog appeared. They both function fine running on Sierra. Has anyone done any testing with their apps? I understand that High Sierra is beta, but I do want to be ready when it ships this Fall. Do later versions of LC on High Sierra work OK for anyone?
>
> Marty
>


_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: High Sierra & LC

Mark Wieder via use-livecode
9.0 db 8 and 8.14 and 8.15 opens fine in 64 bit mode, trying to set any color via the color palette crashes any of these versions of LC.

Tore

> 14. jul. 2017 kl. 20:56 skrev Colin Holgate via use-livecode <[hidden email]>:
>
> 7.1.4 is intermittent, sometimes it opens fine. 8.1.4 and 8.1.5 have issues if they are set to open in 32 bit. 9.0.0 seems fine. Downloading 8.1.6 now to see how that does.
>
>
>
>> On Jul 14, 2017, at 11:46 AM, Marty Knapp via use-livecode <[hidden email]> wrote:
>>
>> I just downloaded the latest Mac OS beta - High Sierra and attempted to run 2 different apps that were built with LC 6.6.5. When I tried to print from each, they both crashed before the system print dialog appeared. They both function fine running on Sierra. Has anyone done any testing with their apps? I understand that High Sierra is beta, but I do want to be ready when it ships this Fall. Do later versions of LC on High Sierra work OK for anyone?
>>
>> Marty
>>
>
>
> _______________________________________________
> use-livecode mailing list
> [hidden email]
> Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode


_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: High Sierra & LC

Mark Wieder via use-livecode
With the release of High Sierra scheduled for this Fall (Sept/Oct?), it
would be nice to hear from the mother ship what is happening with this.
If no version of LC will produce an app that will run reliably on it, I
would think there would be more concern?

Marty

> 9.0 db 8 and 8.14 and 8.15 opens fine in 64 bit mode, trying to set any color via the color palette crashes any of these versions of LC.
>
> Tore
>
>> 14. jul. 2017 kl. 20:56 skrev Colin Holgate via use-livecode <[hidden email]>:
>>
>> 7.1.4 is intermittent, sometimes it opens fine. 8.1.4 and 8.1.5 have issues if they are set to open in 32 bit. 9.0.0 seems fine. Downloading 8.1.6 now to see how that does.
>>
>>
>>
>>> On Jul 14, 2017, at 11:46 AM, Marty Knapp via use-livecode <[hidden email]> wrote:
>>>
>>> I just downloaded the latest Mac OS beta - High Sierra and attempted to run 2 different apps that were built with LC 6.6.5. When I tried to print from each, they both crashed before the system print dialog appeared. They both function fine running on Sierra. Has anyone done any testing with their apps? I understand that High Sierra is beta, but I do want to be ready when it ships this Fall. Do later versions of LC on High Sierra work OK for anyone?
>>>
>>> Marty
>>>

_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: High Sierra & LC

Mark Wieder via use-livecode
I'm sure they are on it.

Bob S


> On Jul 14, 2017, at 15:49 , Marty Knapp via use-livecode <[hidden email]> wrote:
>
> With the release of High Sierra scheduled for this Fall (Sept/Oct?), it would be nice to hear from the mother ship what is happening with this. If no version of LC will produce an app that will run reliably on it, I would think there would be more concern?
>
> Marty


_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: High Sierra & LC

Mark Wieder via use-livecode
In reply to this post by Mark Wieder via use-livecode
At this stage in the development of High Sierra I guess it is hard to tell whether or not difficulties in using LC or apps created with LC is caused by bugs in the OS or incompatibilities in LC. I think their policy is to address any incompatibilities in LC once the OS is out of beta.

Tore

> 15. jul. 2017 kl. 00:49 skrev Marty Knapp via use-livecode <[hidden email]>:
>
> With the release of High Sierra scheduled for this Fall (Sept/Oct?), it would be nice to hear from the mother ship what is happening with this. If no version of LC will produce an app that will run reliably on it, I would think there would be more concern?
>
> Marty
>> 9.0 db 8 and 8.14 and 8.15 opens fine in 64 bit mode, trying to set any color via the color palette crashes any of these versions of LC.
>>
>> Tore
>>
>>> 14. jul. 2017 kl. 20:56 skrev Colin Holgate via use-livecode <[hidden email]>:
>>>
>>> 7.1.4 is intermittent, sometimes it opens fine. 8.1.4 and 8.1.5 have issues if they are set to open in 32 bit. 9.0.0 seems fine. Downloading 8.1.6 now to see how that does.
>>>
>>>
>>>
>>>> On Jul 14, 2017, at 11:46 AM, Marty Knapp via use-livecode <[hidden email]> wrote:
>>>>
>>>> I just downloaded the latest Mac OS beta - High Sierra and attempted to run 2 different apps that were built with LC 6.6.5. When I tried to print from each, they both crashed before the system print dialog appeared. They both function fine running on Sierra. Has anyone done any testing with their apps? I understand that High Sierra is beta, but I do want to be ready when it ships this Fall. Do later versions of LC on High Sierra work OK for anyone?
>>>>
>>>> Marty
>>>>
>
> _______________________________________________
> use-livecode mailing list
> [hidden email]
> Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode


_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: High Sierra & LC

Mark Wieder via use-livecode
Apparently the big thing they are doing is they are updating the file system.

Bob S


> On Jul 14, 2017, at 15:54 , Tore Nilsen via use-livecode <[hidden email]> wrote:
>
> At this stage in the development of High Sierra I guess it is hard to tell whether or not difficulties in using LC or apps created with LC is caused by bugs in the OS or incompatibilities in LC. I think their policy is to address any incompatibilities in LC once the OS is out of beta.
>
> Tore


_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: High Sierra & LC

Mark Wieder via use-livecode
I’m seeing the current issues without having gone to APFS. I did do that for the first beta, but it had some very bad things about it, and after I had to wipe my drive and recover files I decided to not go back to it yet.

It shouldn’t really affect whether apps work correctly.

> On Jul 14, 2017, at 4:08 PM, Bob Sneidar via use-livecode <[hidden email]> wrote:
>
> Apparently the big thing they are doing is they are updating the file system.
>
> Bob S
>
>
>> On Jul 14, 2017, at 15:54 , Tore Nilsen via use-livecode <[hidden email]> wrote:
>>
>> At this stage in the development of High Sierra I guess it is hard to tell whether or not difficulties in using LC or apps created with LC is caused by bugs in the OS or incompatibilities in LC. I think their policy is to address any incompatibilities in LC once the OS is out of beta.
>>
>> Tore
>
>


_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Loading...